Page MenuHomePhabricator

[PowerPC][Power10] Exploit the High Order Vector Multiply Instructions on Power10
ClosedPublic

Authored by amyk on Jun 25 2020, 10:43 AM.

Details

Summary

This patch aims to exploit the following vector multiply high instructions on Power10.

vmulhsw VRT, VRA, VRB
vmulhsd VRT, VRA, VRB
vmulhuw VRT, VRA, VRB
vmulhud VRT, VRA, VRB

Depends on D82510.

Diff Detail

Event Timeline

amyk created this revision.Jun 25 2020, 10:43 AM
amyk updated this revision to Diff 273542.Jun 25 2020, 3:56 PM

Updated the patch to include assembly and disassembly tests that I forgot to add.

anil9 added a subscriber: anil9.Jun 25 2020, 4:31 PM
anil9 added inline comments.
llvm/test/CodeGen/PowerPC/p10-vector-multiply.ll
11

nit: that -> those / which (as you said versions)

amyk updated this revision to Diff 273751.Jun 26 2020, 8:47 AM

Updated the patch with a more descriptive comment in p10-vector-multiply.ll.

amyk marked 2 inline comments as done.Jun 26 2020, 8:48 AM
amyk added inline comments.
llvm/test/CodeGen/PowerPC/p10-vector-multiply.ll
11

I've actually updated and the comment to be a bit more descriptive (in hopes it would make more sense).

amyk updated this revision to Diff 274677.Jun 30 2020, 9:13 PM
amyk marked an inline comment as done.

Updated patch to move out MC tests and td file definitions.

kamaub accepted this revision.Jul 7 2020, 8:51 AM
kamaub added a subscriber: kamaub.

This LGTM

This revision is now accepted and ready to land.Jul 7 2020, 8:51 AM
This revision was automatically updated to reflect the committed changes.